Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: vilde on 2014/03/21, 10:23:09

Title: d-u wants to remove libnss3-nssdb
Post by: vilde on 2014/03/21, 10:23:09
As the subject say, d-u wants to remove libnss3-nssdb.

Wait or let it go is the question?
Title: Re: d-u wants to remove libnss3-nssdb
Post by: pjnsmb on 2014/03/21, 13:54:16
Something is not right


libnss3 is down to be upgraded but :


apt-cache show libnss3 shows that it has libnss3-nssdb as a dependency  ???


I would hold on the DU for now
Title: Re: d-u wants to remove libnss3-nssdb
Post by: drb on 2014/03/21, 14:39:47
libnss3 2:3.15.4-2+fix1 has libnss3-nssdb as a dependency but not the latest version 2:3.16-1 . . . but I'm still waiting!
Title: Re: d-u wants to remove libnss3-nssdb
Post by: dibl on 2014/03/21, 15:07:54
I checked in Debian Packages and those packages no longer exist, AFAICT.  On my system


Code: [Select]

root@imerabox:/# apt-cache policy libdnss3
N: Unable to locate package libdnss3
root@imerabox:/# apt-cache policy libdnss3-nssdb
N: Unable to locate package libdnss3-nssdb

Title: Re: d-u wants to remove libnss3-nssdb
Post by: drb on 2014/03/21, 15:11:09
It's libnss3

Code: [Select]
apt-cache policy libnss3
libnss3:
  Installed: 2:3.15.4-2+fix1
  Candidate: 2:3.16-1
  Version table:
     2:3.16-1 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
 *** 2:3.15.4-2+fix1 0
        500 http://packages.siduction.org/fixes/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
Title: Re: d-u wants to remove libnss3-nssdb
Post by: dibl on 2014/03/21, 15:27:54
Oooops -- sorry, my bad.


However, I booted a system that has not been upgraded for several days or a week.  Here is what I see:


Code: [Select]
root@suzdesk:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libnss3-nssdb
The following NEW packages will be installed:
  libllvm3.4 libppl13 libwayland-egl1-mesa libxcb-dri3-0 libxcb-present0
The following packages will be upgraded:
  bash cpp-4.7 cups cups-bsd cups-client cups-common cups-core-drivers cups-daemon
  cups-ppdc cups-server-common dictionaries-common g++-4.7 gcc-4.7 gcc-4.7-base libcups2
  libcups2-dev libcupscgi1 libcupsimage2 libcupsimage2-dev libcupsmime1 libcupsppdc1
  libdjvulibre-text libdjvulibre21 libegl1-mesa libegl1-mesa-drivers libgbm1
  libgcc-4.7-dev libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libgles2-mesa
  libgudev-1.0-0 libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-3.0-0 libnspr4
  libnspr4-0d libnss3 libnss3-1d libopenvg1-mesa libp11-kit-dev libp11-kit0
  libpam-systemd libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
  libpangoxft-1.0-0 libppl-c4 libreadline6 librole-tiny-perl libstdc++6-4.7-dev
  libsystemd-daemon0 libsystemd-journal0 libsystemd-login0 libtheora0 libudev1
  libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
  linux-libc-dev python-apt python-apt-common python-numpy python-six readline-common
  systemd systemd-sysv udev
69 upgraded, 5 newly installed, 1 to remove and 0 not upgraded.


You can see the libnss3-nssdb is to be removed, but other libnss3 packages are to be upgraded.

Title: Re: d-u wants to remove libnss3-nssdb
Post by: drb on 2014/03/21, 15:39:02
Yes, it's the same here. I'll wait a bit in case something is waiting to catch up.
Title: Re: d-u wants to remove libnss3-nssdb
Post by: vilde on 2014/03/21, 22:36:57
Code: [Select]
vilde@siductionboxt410:~$ apt-cache policy libnss3-nssdb
libnss3-nssdb:
  Installerad: 2:3.15.4-2+fix1
  Kandidat:    2:3.15.4-2+fix1
  Versionstabell:
 *** 2:3.15.4-2+fix1 0
        500 http://ftp.spline.de/pub/siduction/fixes/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
vilde@siductionboxt410:~$ apt-cache policy libnss3
libnss3:
  Installerad: 2:3.15.4-2+fix1
  Kandidat:    2:3.16-1
  Versionstabell:
     2:3.16-1 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
 *** 2:3.15.4-2+fix1 0
        500 http://ftp.spline.de/pub/siduction/fixes/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
I have no idea about this things but the candidate of libnss3 is 2:3.16-1 and the candidate for libnss3-nssdb is the same as the old installed 2:3.15.4-2+fix1, maybe that's the problem, there is no new candidate for libnss3-nssdb.

 
Title: Re: d-u wants to remove libnss3-nssdb
Post by: pjnsmb on 2014/03/22, 06:17:17
libnss3 2:3.15.4-2+fix1 has libnss3-nssdb as a dependency but not the latest version 2:3.16-1 . . . but I'm still waiting!


I think drb has it right...........
libnss3 does not need libnss-nssdb after it's update hence it's removal ..............


I have done a full d-u without my computer exploding  :)



Title: Re: d-u wants to remove libnss3-nssdb
Post by: ghettoblaster on 2014/03/22, 13:16:12
+1

same here, package was removed, system still works as expected, no errors.  8)
Title: Re: d-u wants to remove libnss3-nssdb
Post by: ayla on 2014/03/22, 19:13:27

libnss3 does not need libnss-nssdb after it's update hence it's removal ..............
I have done a full d-u without my computer exploding  :)

Ok, my computer didn't explode, too... but I downgraded to the version before because there was no hint in the changelog or description that libnss3-nssdg is not needed anymore.

so there are two possibilities: unintentional or really not needed anymore.

Unintensional? I dont think so, the dependency is removed also.

Not needed anymore? would be nice if the maintainer would give a hint in the changelog or description in such cases. "replaces ...." or so.

Anyway: I've upgraded again in between...

Greets
ayla
Title: Re: d-u wants to remove libnss3-nssdb
Post by: vilde on 2014/03/22, 23:58:42
Yes I agree with ayla, I want to find out if libnss3-nssdb is not needed anymore. And I want to know it before I let it go.
Title: Re: d-u wants to remove libnss3-nssdb
Post by: vayu on 2014/03/25, 22:56:30
So I can know what area to notice if there are any problems, what is libnss3-nssdb used for?

Title: Re: d-u wants to remove libnss3-nssdb
Post by: ayla on 2014/03/25, 23:01:16
Quote
apt-cache show libnss3-nssdb
Package: libnss3-nssdb
Source: nss
Version: 2:3.15.4-2+fix1.....
 
.....
Description: Network Security Security libraries - shared databases
 This package includes shared certificate and key databases.
Description-md5: 609709585136b6a2edddf2dfd3382bfd
Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>


Title: Re: d-u wants to remove libnss3-nssdb
Post by: vayu on 2014/03/26, 00:49:02
apt-cache show libnss3-nssdb

Thanks Ayla.